grid.show.viewport {grid} | R Documentation

## Draw a Diagram of a Grid Viewport

### Description

This function uses Grid graphics to draw a diagram of a Grid viewport.

### Usage

    grid.show.viewport(v, parent.layout = NULL, newpage = TRUE,
                       vp.ex = 0.8, border.fill="light grey",
                       vp.col="blue", vp.fill="light blue",
                       scale.col="red",
                       vp = NULL)

### Arguments

`v` | A Grid viewport object.
`parent.layout` | A grid layout object. If this is not NULL and the viewport given in `v` has its location specified relative to the layout, then the diagram shows the layout and which cells `v` occupies within the layout.
`newpage` | A logical value to indicate whether to move to a new page before drawing the diagram.
`vp.ex` | positive number, typically in (0,1], specifying the scaling of the layout.
`border.fill` | Colour to fill the border margin.
`vp.col` | Colour for the border of the viewport region.
`vp.fill` | Colour to fill the viewport region.
`scale.col` | Colour to draw the viewport axes.
`vp` | A Grid viewport object (or NULL).

### Details

A viewport is created within `vp` to provide a margin for annotation, and the diagram is drawn within that new viewport. By default, the margin is filled with light grey, the new viewport is filled with white and framed with a black border, and the viewport region is filled with light blue and framed with a blue border. The diagram is annotated with the width and height (including units) of the viewport, the (x, y) location of the viewport, and the x- and y-scales of the viewport, using red lines and text.

### Value

None.

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`

### Examples

    ## Diagram of a sample viewport
    grid.show.viewport(viewport(x=0.6, y=0.6,
                                w=unit(1, "inches"), h=unit(1, "inches")))
    grid.show.viewport(viewport(layout.pos.row=2, layout.pos.col=2:3),
                       grid.layout(3, 4))

[Package grid version 3.6.0 Index]